PHOENIX CONTACT : Security Advisory for Automation Worx Software Suite

Phoenix Contact Automationworx BCP File Parsing Memory Corruption Remote Code Execution Vulnerability ZDI-CAN-13134

VDE-2021-020 (2021-06-23 14:14 UTC+0200)

CVE Identifier

CVE-2021-33542

Affected Vendors

Phoenix Contact

Affected Products

Following components of Automationworx Software Suite version 1.87 and earlier are affected:

  • PC Worx
  • PC Worx Express
  • Config+

Summary

Manipulated PC Worx or Config+ projects could lead to a remote code execution when unallocated memory is freed because of incompletely initialized data (CWE-824).
The attacker needs to get access to an original bus configuration file (*.bcp) to be able to manipulate data inside. After manipulation the attacker needs to exchange the original file by the manipulated one on the application programming workstation.

Impact

Availability, integrity, or confidentiality of an application programming workstation might be compromised by attacks using these vulnerabilities.
Automated systems in operation which were programmed with one of the above-mentioned products are not affected.

Solution

Temporary Fix / Mitigation

We strongly recommend customers to exchange project files only using secure file exchange services. Project files should not be exchanged via unencrypted email.

Remediation

With the next version of Automationworx Software Suite the affected data will be initialized completely and thereby freeing of unallocated memory will be prevented.

Reported by

The vulnerability was discovered by Francis Provencher {PRL} and reported by Zero Day Initiative (ZDI).
PHOENIX CONTACT thanks CERT@VDE for the coordination and support with this publication.